Package relaxngcc.datatype.parser

# Class Start

java.lang.Object
relaxngcc.datatype.parser.NGCCHandler
relaxngcc.datatype.parser.Start

All Implemented Interfaces:
  `NGCCEventReceiver`

public class Start extends NGCCHandler

## Constructor Summary

Constructors
Constructor
Description
`Start(NGCCHandler parent, NGCCEventSource source, ParserRuntime runtime, int cookie)`
`Start(ParserRuntime runtime)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accepted()`
`void`
`enterAttribute(String $__uri, String $__local, String $__qname)`
`void`
`enterElement(String $__uri, String $__local, String $__qname, Attributes $attrs)`
`final NGCCRuntime`
`getRuntime()`
`void`
`leaveAttribute(String $__uri, String $__local, String $__qname)`
`void`
`leaveElement(String $__uri, String $__local, String $__qname)`
`void`
`onChildCompleted(Object $__result__, int $__cookie__, boolean $__needAttCheck__)`
`void`
`text(String $value)`

### Methods inherited from class relaxngcc.datatype.parser.NGCCHandler

`revertToParentFromEnterAttribute, revertToParentFromEnterElement, revertToParentFromLeaveAttribute, revertToParentFromLeaveElement, revertToParentFromText, spawnChildFromEnterAttribute, spawnChildFromEnterElement, spawnChildFromLeaveAttribute, spawnChildFromLeaveElement, spawnChildFromText, unexpectedEnterAttribute, unexpectedEnterElement, unexpectedLeaveAttribute, unexpectedLeaveElement`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Start

public Start(NGCCHandler parent, NGCCEventSource source, ParserRuntime runtime, int cookie)

### Start

public Start(ParserRuntime runtime)

## Method Details

### getRuntime

public final NGCCRuntime getRuntime()

### enterElement

public void enterElement(String $__uri, String $__local, String $__qname, Attributes $attrs) throws SAXException

Throws:
  `SAXException`

### leaveElement

public void leaveElement(String $__uri, String $__local, String $__qname) throws SAXException

Throws:
  `SAXException`

### enterAttribute

public void enterAttribute(String $__uri, String $__local, String $__qname) throws SAXException

Throws:
  `SAXException`

### leaveAttribute

public void leaveAttribute(String $__uri, String $__local, String $__qname) throws SAXException

Throws:
  `SAXException`

### text

public void text(String $value) throws SAXException

Throws:
  `SAXException`

### onChildCompleted

public void onChildCompleted(Object $__result__, int $__cookie__, boolean $__needAttCheck__) throws SAXException

Throws:
  `SAXException`

### accepted

public boolean accepted()